{% extends 'app_lmgas/base.html' %}
{% load static %}

{%block title%}LMGAS - Mi Cuenta {%endblock%}
{% block contenido %}
<!--Mi cuenta  -->
<div class="container" style="margin-top: 50px;">
    <h6 id="direccion"><a href="{%url 'home'%}">inicio </a>> mi cuenta</h6>
    
<script>
    function EliminarDireccion(id, alias, numero, calle, comuna){
       
        Swal.fire({
            title:'Precaución',
            html:'Está a punto de eliminar la siguiente dirección <br>'+ alias +" " + numero +" "+ calle + " " + comuna,
            icon:'warning',
            iconColor:'red',
            showCancelButton:true,
            confirmButtonText:'Aceptar',
            confirmButtonColor:'green',
            cancelButtonText:'Cancelar',
            cancelButtonColor:'red'
            }).then(function(result)
            {if (result.isConfirmed){
                window.location.href='/EliminarDireccion/'+id
            }})
    }
</script>    
        {% if messages %}
            {% for msg in messages %}
<div class="alert alert-success alert-dismissible" id="alertaExito" >
            <button class="close" data-dismiss="alert">&times;</button>
            <strong>Éxito:</strong> {{msg}}.
        </div>
            {% endfor %}
        {% endif %}
        
    <div class="row">
        <div id="panel-cliente" class="col-sm-3">
            <ul class="nav flex-column">
                <li>
                    <h3 style="border-bottom: 1px solid #acacac;">Panel de cliente</h3>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{%url 'MiCuenta'%}">Datos cliente</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{%url 'CambiarContraseña'%}">Cambiar contraseña</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{%url 'MisPedidos'%}">Mis pedidos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{%url 'logout'%}">Cerrar sesión</a>
                </li>
            </ul>
        </div>

        <div class="col-sm-8">
            <h3 style="border-bottom: 1px solid #acacac;">Mis datos</h3>
            <div class="row">
                <div class="col-sm-3">
                    <h5 style="background-color: #e7e7e7;">Usuario:</h5>
                </div>

                <div class="col-sm-9">
                    <h5><i>{{user.username}}</i> </h5>
                </div>
                <div class="col-sm-3">
                    <h5 style="background-color: #e7e7e7;">Nombre:</h5>
                </div>

                <div class="col-sm-9">
                    <h5><i>{{user.first_name}}</i> </h5>
                </div>
                <div class="col-sm-3">
                    <h5 style="background-color: #e7e7e7;">Apellidos:</h5>
                </div>

                <div class="col-sm-9">
                    <h5><i>{{user.last_name}}</i> </h5>
                </div>

                <div class="col-sm-3">
                    <h5 style="background-color: #e7e7e7;">Correo electrónico:</h5>
                </div>

                <div class="col-sm-9">
                    <h5><i>{{user.email}}</i> </h5>
                </div>
            </div>
            <div class="col text-lg-right">
                <a href="{% url 'ModificarDatos' user.id%}">
                    <button type="button" class="btn btn-primary"> Modificar datos</button>
                </a>

            </div>
        </div>

        <div class="col-sm-1"></div>

        <div class="col-sm-3 mt-2"></div>
        <div class="col-sm-8 mt-2">
            <h3 style="border-bottom: 1px solid #acacac;">Mis direcciones</h3>
            <table class="table table-hover table-responsive-sm">
                <thead>
                    <tr>
                        <th>Alias dirección</th>
                        <th>Dirección</th>
                        <th>Comuna</th>
                        <th>Teléfono</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                {% for direccion in direcciones  %}
                    <tr>
                        <td>{{direccion.alias}}</td>
                        <td>{{direccion.calle}} {{direccion.numero}}</td>
                        <td>{{direccion.comuna}}</td>
                        <td>{{direccion.telefono}}</td>
                        <td>
                            <a href="{% url 'EditarDireccion' direccion.id_direccion%}"><ion-icon style="cursor:pointer; color: darkcyan;" data-toggle=""
                                data-target="" name="pencil"></ion-icon></a>

                            <ion-icon style="cursor:pointer; color: darkcyan;" data-toggle=""
                                data-target="" name="trash" onclick=EliminarDireccion({{direccion.id_direccion}},"{{direccion.alias}}",{{direccion.numero}},"{{direccion.calle}}","{{direccion.comuna}}")></ion-icon>

                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            <div class="col text-lg-right">
                <a href="{% url 'AgregarDireccion' %}">
                    <button type="button" class="btn btn-primary"> Agregar Dirección</button>
                </a>
            </div>
        </div>
    </div>
</div>
{% endblock contenido %}